# FdoStringP Class Reference

`#include <StringP.h>`

List of all members.

## Detailed Description

FdoStringP is smart pointer wrapper around strings. Provides memory management,plus conversion of strings between unicode and utf8 and various string manipulation functions.

Definition at line 29 of file StringP.h.

## Public Member Functions
FDO_API_COMMON bool | Contains (FdoString *subString) const
| Checks for a sub-string.
FDO_API_COMMON | FdoStringP (const char *sValue)
| Creates a string from a utf8 string.
FDO_API_COMMON | FdoStringP (FdoString *wValue, FdoBoolean bAttach=false)
| Creates a string from a unicode (FdoString) string.
FDO_API_COMMON | FdoStringP (const FdoStringP &oValue)
| Creates a string from another string pointer.
FDO_API_COMMON | FdoStringP (void)
| Creates an empty string with value L"".
FDO_API_COMMON size_t | GetLength () const
FDO_API_COMMON int | ICompare (const FdoStringP str2) const
| Case-insensitive string comparison.
FDO_API_COMMON bool | IsNumber () const
FDO_API_COMMON FdoStringP | Left (FdoString *delimiter) const
| Gets the characters to the left of the given sub-string.
FDO_API_COMMON FdoStringP | Lower () const
FDO_API_COMMON FdoStringP | Mid (size_t first, size_t count, bool useUTF8=false)
| Extracts a sub-string of this string.
FDO_API_COMMON | operator const char * () const
FDO_API_COMMON | operator FdoString * () const
FDO_API_COMMON bool | operator!= (FdoString *str2) const
| Not Equals comparison operator.
FDO_API_COMMON const FdoStringP | operator+ (const FdoStringP str2) const
| Appends the contents of another string onto this string. When performance is critical, += should be used whenever possible since it is up to 5X faster than this operator.
FDO_API_COMMON const FdoStringP | operator+ (FdoString *str2) const
| Various operators for concatenating str2 to this.
FDO_API_COMMON FdoStringP | operator+= (const FdoStringP str2)
| Appends the contents of another string onto this string.
FDO_API_COMMON FdoStringP | operator+= (FdoString *str2)
| Appends a unicode string onto this string.
FDO_API_COMMON bool | operator< (const FdoStringP str2) const
| Less than comparison operator.
FDO_API_COMMON bool | operator<= (const FdoStringP str2) const
| Less than or Equals comparison operator.
FDO_API_COMMON FdoStringP & | operator= (FdoString *wString)
| Copies a string from a unicode string.
FDO_API_COMMON FdoStringP & | operator= (const char *sString)
| Copies a string from a utf8 string.
FDO_API_COMMON FdoStringP & | operator= (const FdoStringP &oString)
| Operators to copy from other strings in various forms.
FDO_API_COMMON bool | operator== (FdoString *str2) const
| Equals comparison operator.
FDO_API_COMMON bool | operator== (const FdoStringP str2) const
| Equals comparison operator.
FDO_API_COMMON bool | operator> (const FdoStringP str2) const
| Various comparison operators.
FDO_API_COMMON bool | operator>= (const FdoStringP str2) const
| Greater than or equal comparison operator.
FDO_API_COMMON FdoStringP | Replace (FdoString *pOld, FdoString *pNew) const
| Replaces sub-strings.
FDO_API_COMMON FdoStringP | Right (FdoString *delimiter) const
| Gets the characters to the right of the given sub-string.
FDO_API_COMMON FdoBoolean | ToBoolean (FdoBoolean defaultValue=false) const
| Converts this string to a boolean.
FDO_API_COMMON FdoDouble | ToDouble () const
| Converts this string to a double precision number.
FDO_API_COMMON long | ToLong () const
| Converts this string to a long integer.
FDO_API_COMMON FdoStringP | Upper () const
FDO_API_COMMON | ~FdoStringP (void)
| Destroys this string and releases its contents.
## Static Public Member Functions
static FDO_API_COMMON FdoStringP | Format (FdoString *wValue,...)
| Create a formatted string.
## Static Public Attributes
static FDO_API_COMMON const wchar_t * | mEmptyString
| Constant representing a zero-length string.
static FDO_API_COMMON const wchar_t * | mNullString
| Constant representing a null string.
## Classes
struct | Descriptor
struct | Tab
| structure used to convert between Unicode and UTF8

The documentation for this class was generated from the following file:

- StringP.h